Moonborn — API · config
List config change audit entries
GET/v1/config/auditscope · Bearer (API key or session JWT)
Query parameters
| Field | Type | Description |
|---|---|---|
| key | string | |
| changedBy | string | |
| scopeLevel | string | |
| scopeId | string | |
| from | string | |
| to | string | |
| limit | number |
Responses
200Audit entries
Body
| Field | Type | Description |
|---|---|---|
| entriesreq | object[] |
401Unauthenticated
Body
| Field | Type | Description |
|---|---|---|
| typereq | string | |
| titlereq | string | |
| statusreq | number | |
| detail | string | |
| code | string |
403Forbidden
Body
| Field | Type | Description |
|---|---|---|
| typereq | string | |
| titlereq | string | |
| statusreq | number | |
| detail | string | |
| code | string |
Examples
cURL
curl -X GET https://api.moonborn.co/v1/config/audit \ -H "Authorization: Bearer $MOONBORN_API_KEY"
TypeScript
import Moonborn from '@moonborn/sdk';
const client = new Moonborn({ apiKey: process.env.MOONBORN_API_KEY });
const result = await client.config.listConfigAudit();Python
import os from moonborn import Moonborn client = Moonborn(api_key=os.environ["MOONBORN_API_KEY"]) result = client.config.list_config_audit()